Skip to main content
PATCH
Update a project revenue recognition entry
Scheduled recognition of revenue for fixed-fee projects. This is only available for projects that have a billing type of “fixed” or “fixed_recurring” and where the revenue recognition method is set to “manual”, “automated_hours”, “automated_tm_basis”, or “automated_services_cost”.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The project revenue recognition entry uuid.

Body

application/json
date
string<date>

The date (YYYY-MM-DD) of the entry.

amount
number

The total amount of the entry.

notes
string | null

Any notes about the entry (max 255 chars).

Response

200

id
string

The unique identifier for the object.

date
string<date>

The date of the entry. Will be in the form YYYY-MM-DD.

amount
number

The total amount of the entry.

notes
string | null

Any notes about the entry.

type
enum<string>

How the entry was created. automated when Ruddr generated it, manual when a member or the API added it. Updating the amount or date of an automated entry makes it manual.

Available options:
automated,
manual
createdAt
string<date-time>

The timestamp when the object was created.

project
object

The project this entry belongs to.